/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * Contact Information:
 * Dambach-Werke GmbH
 * Elektronische Leitsysteme
 * Fritz-Minhardt-Str. 1
 * 76456 Kuppenheim
 * Phone: +49-7222-402-0
 * Fax: +49-7222-402-200
 * mailto: info@els.dambach.de
 */

package de.bsvrz.sys.usv.wrapper;

/**
 * Interface zur Anbindung einer realen USV-Anlage. Über dieses Interface kann
 * das Modul, das eine reale USV-Anlage anbindet dafür sorgen, dass ihre
 * Informationen sofort von der Klasse USVWrapper weiterverarbeitet werden (und
 * nicht erst in der nächten turnusmässigen Abfrage).
 * 
 * @author ObertM
 * 
 */
public interface USVTrigger {
	/**
	 * Methode zum Auslösen eines Triggers, der das sofortige Bearbeiten der
	 * aktuellen USV Daten auslöst. Ohne diesen Trigger werden die USV-Daten
	 * "nur" zyklisch eingelesen und ausgewertet.
	 */
	public abstract void setTrigger();
}
